org.eclipse.emf.cdo.security

## Interface ClassPermission

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier, Permission
  All Known Implementing Classes:
    ClassPermissionImpl

  Deprecated.
  As of 4.3 use `FilterPermission` and `ClassFilter`.

  The following features are supported:

  - `Applicable Class`

      @Deprecated
      public interface ClassPermission
      extends Permission

  A representation of the model object 'Class Permissionermission'.
  See Also:
    `SecurityPackage.getClassPermission()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `EClass` | `getApplicableClass()` Deprecated. Returns the value of the 'Applicable Class' reference.
    `void` | `setApplicableClass(EClass value)` Deprecated. Sets the value of the '`Applicable Class`' reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Permission

      `getAccess, getRole, isApplicable, setAccess, setRole`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getApplicableClass

          EClass getApplicableClass()

      Deprecated.
      Returns the value of the 'Applicable Class' reference.

      If the meaning of the 'Applicable Class' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Applicable Class' reference.
      See Also:
        `setApplicableClass(EClass)`, `SecurityPackage.getClassPermission_ApplicableClass()`
      Generated
      Model
        required="true"

    - #### setApplicableClass

          void setApplicableClass(EClass value)

      Deprecated.
      Sets the value of the '`Applicable Class`' reference.
      Parameters:
        `value` - the new value of the 'Applicable Class' reference.
      See Also:
        `getApplicableClass()`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html